package com.zsc.edu.dify.modules.dify.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.dify.framework.json.JsonbTypeHandler;
import io.github.guoshiqiufeng.dify.server.dto.response.AppsResponseVO;
import lombok.*;

import java.util.List;
import java.util.Map;

/**
 * @author zhuang
 */
@Getter
@Setter
@TableName("apps_response")
public class AppsResponse extends AppsResponseVO {

    @TableField(typeHandler = JsonbTypeHandler.class)
    private Map<String, Object> modelConfig;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private Map<String, Object> workflow;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private List<String> tags;

}
